#RUN_TIME.PY
#The script used to subsequently run all the input files, and postprocess. In this 
#specific script two of the cases in the "Seabed Conditions Case" have been run. 

from simla_funcs import *
import time

from time import sleep

f = open('time.txt','a')
f.write("Seabed Conditions Case:\n")
f.close()

#------------------------------------------------------------------------------

os.chdir('1_00')

tic = time.clock()

run_simla('autostart_fric')
os.rename('autostart_fric.raf','restart_fric.raf')
os.rename('autostart_fric.dyn','restart_fric.dyn')
run_simla('restart_fric')
run_simpost('PostProcess')
run_dynpost('dynplot')

toc = time.clock()
elapsed = toc - tic

os.chdir("..")

print "time used is"
print elapsed
f = open('time.txt','a')
f.write("Elapsed time for etta = 1.0: %s\n"%elapsed)
f.close()


#------------------------------------------------------------------------------

os.chdir('1_10')

tic = time.clock()

run_simla('autostart_fric')
os.rename('autostart_fric.raf','restart_fric.raf')
os.rename('autostart_fric.dyn','restart_fric.dyn')
run_simla('restart_fric')
run_simpost('PostProcess')
run_dynpost('dynplot')

toc = time.clock()
elapsed = toc - tic

os.chdir("..")

print "time used is"
print elapsed
f = open('time.txt','a')
f.write("Elapsed time for etta = 1.1: %s\n"%elapsed)
f.close()

#------------------------------------------------------------------------------
